Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.cs	(revision 4068)
@@ -22,8 +22,5 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using System.Drawing;
-using System.Data;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.PluginInfrastructure.Manager;
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.cs	(revision 4068)
@@ -23,9 +23,5 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using System.Drawing;
-using System.Data;
 using System.Linq;
-using System.Text;
-using System.Windows.Forms;
 using HeuristicLab.PluginInfrastructure.Manager;
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.cs	(revision 4068)
@@ -20,15 +20,10 @@
 #endregion
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
   internal partial class ConfirmationDialog : Form {
-    public ConfirmationDialog() : base() {
+    public ConfirmationDialog()
+      : base() {
       InitializeComponent();
       icon.Image = System.Drawing.SystemIcons.Exclamation.ToBitmap();
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.cs	(revision 4068)
@@ -20,10 +20,4 @@
 #endregion
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/AdminClientFactory.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/AdminClientFactory.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/AdminClientFactory.cs	(revision 4068)
@@ -20,11 +20,7 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using System.Reflection;
+using System.Security.Cryptography.X509Certificates;
 using System.ServiceModel;
-using System.Security.Cryptography.X509Certificates;
-using System.Reflection;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/DeploymentServerCertificateValidator.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/DeploymentServerCertificateValidator.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/DeploymentServerCertificateValidator.cs	(revision 4068)
@@ -1,9 +1,6 @@
 ﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Security.Cryptography.X509Certificates;
 using System.IdentityModel.Selectors;
 using System.IdentityModel.Tokens;
+using System.Security.Cryptography.X509Certificates;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/DeploymentService.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/DeploymentService.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/DeploymentService.cs	(revision 4068)
@@ -9,314 +9,255 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService
-{
-    using System.Runtime.Serialization;
-    
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="PluginDescription", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Deployment", IsReference=true)]
-    public partial class PluginDescription : object, System.Runtime.Serialization.IExtensibleDataObject
-    {
-        
-        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
-        
-        private string ContactEmailField;
-        
-        private string ContactNameField;
-        
-        private HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] DependenciesField;
-        
-        private string LicenseTextField;
-        
-        private string NameField;
-        
-        private System.Version VersionField;
-        
-        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
-        {
-            get
-            {
-                return this.extensionDataField;
-            }
-            set
-            {
-                this.extensionDataField = value;
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public string ContactEmail
-        {
-            get
-            {
-                return this.ContactEmailField;
-            }
-            set
-            {
-                this.ContactEmailField = value;
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public string ContactName
-        {
-            get
-            {
-                return this.ContactNameField;
-            }
-            set
-            {
-                this.ContactNameField = value;
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] Dependencies
-        {
-            get
-            {
-                return this.DependenciesField;
-            }
-            set
-            {
-                this.DependenciesField = value;
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public string LicenseText
-        {
-            get
-            {
-                return this.LicenseTextField;
-            }
-            set
-            {
-                this.LicenseTextField = value;
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public string Name
-        {
-            get
-            {
-                return this.NameField;
-            }
-            set
-            {
-                this.NameField = value;
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Version Version
-        {
-            get
-            {
-                return this.VersionField;
-            }
-            set
-            {
-                this.VersionField = value;
-            }
-        }
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="ProductDescription", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Deployment")]
-    public partial class ProductDescription : object, System.Runtime.Serialization.IExtensibleDataObject
-    {
-        
-        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
-        
-        private string NameField;
-        
-        private HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] PluginsField;
-        
-        private System.Version VersionField;
-        
-        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
-        {
-            get
-            {
-                return this.extensionDataField;
-            }
-            set
-            {
-                this.extensionDataField = value;
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public string Name
-        {
-            get
-            {
-                return this.NameField;
-            }
-            set
-            {
-                this.NameField = value;
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] Plugins
-        {
-            get
-            {
-                return this.PluginsField;
-            }
-            set
-            {
-                this.PluginsField = value;
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Version Version
-        {
-            get
-            {
-                return this.VersionField;
-            }
-            set
-            {
-                this.VersionField = value;
-            }
-        }
-    }
-    
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate")]
-    public interface IUpdate
-    {
-        
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUpdate/GetPlugin", ReplyAction="http://tempuri.org/IUpdate/GetPluginResponse")]
-        byte[] GetPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription description);
-        
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUpdate/GetProducts", ReplyAction="http://tempuri.org/IUpdate/GetProductsResponse")]
-        HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription[] GetProducts();
-        
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUpdate/GetPlugins", ReplyAction="http://tempuri.org/IUpdate/GetPluginsResponse")]
-        HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] GetPlugins();
-    }
-    
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-    public interface IUpdateChannel : HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate, System.ServiceModel.IClientChannel
-    {
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-    public partial class UpdateClient : System.ServiceModel.ClientBase<HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate>, HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate
-    {
-        
-        public UpdateClient()
-        {
-        }
-        
-        public UpdateClient(string endpointConfigurationName) : 
-                base(endpointConfigurationName)
-        {
-        }
-        
-        public UpdateClient(string endpointConfigurationName, string remoteAddress) : 
-                base(endpointConfigurationName, remoteAddress)
-        {
-        }
-        
-        public UpdateClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
-                base(endpointConfigurationName, remoteAddress)
-        {
-        }
-        
-        public UpdateClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
-                base(binding, remoteAddress)
-        {
-        }
-        
-        public byte[] GetPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription description)
-        {
-            return base.Channel.GetPlugin(description);
-        }
-        
-        public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription[] GetProducts()
-        {
-            return base.Channel.GetProducts();
-        }
-        
-        public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] GetPlugins()
-        {
-            return base.Channel.GetPlugins();
-        }
-    }
-    
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin")]
-    public interface IAdmin
-    {
-        
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAdmin/DeployProduct", ReplyAction="http://tempuri.org/IAdmin/DeployProductResponse")]
-        void DeployProduct(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product);
-        
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAdmin/DeleteProduct", ReplyAction="http://tempuri.org/IAdmin/DeleteProductResponse")]
-        void DeleteProduct(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product);
-        
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAdmin/DeployPlugin", ReplyAction="http://tempuri.org/IAdmin/DeployPluginResponse")]
-        void DeployPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription plugin, byte[] zipFile);
-    }
-    
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-    public interface IAdminChannel : HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin, System.ServiceModel.IClientChannel
-    {
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
-    public partial class AdminClient : System.ServiceModel.ClientBase<HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin>, HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin
-    {
-        
-        public AdminClient()
-        {
-        }
-        
-        public AdminClient(string endpointConfigurationName) : 
-                base(endpointConfigurationName)
-        {
-        }
-        
-        public AdminClient(string endpointConfigurationName, string remoteAddress) : 
-                base(endpointConfigurationName, remoteAddress)
-        {
-        }
-        
-        public AdminClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
-                base(endpointConfigurationName, remoteAddress)
-        {
-        }
-        
-        public AdminClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
-                base(binding, remoteAddress)
-        {
-        }
-        
-        public void DeployProduct(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product)
-        {
-            base.Channel.DeployProduct(product);
-        }
-        
-        public void DeleteProduct(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product)
-        {
-            base.Channel.DeleteProduct(product);
-        }
-        
-        public void DeployPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription plugin, byte[] zipFile)
-        {
-            base.Channel.DeployPlugin(plugin, zipFile);
-        }
-    }
+namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
+
+
+  [System.Diagnostics.DebuggerStepThroughAttribute()]
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
+  [System.Runtime.Serialization.DataContractAttribute(Name = "PluginDescription", Namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Deployment", IsReference = true)]
+  public partial class PluginDescription : object, System.Runtime.Serialization.IExtensibleDataObject {
+
+    private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
+
+    private string ContactEmailField;
+
+    private string ContactNameField;
+
+    private HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] DependenciesField;
+
+    private string LicenseTextField;
+
+    private string NameField;
+
+    private System.Version VersionField;
+
+    public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
+      get {
+        return this.extensionDataField;
+      }
+      set {
+        this.extensionDataField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute()]
+    public string ContactEmail {
+      get {
+        return this.ContactEmailField;
+      }
+      set {
+        this.ContactEmailField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute()]
+    public string ContactName {
+      get {
+        return this.ContactNameField;
+      }
+      set {
+        this.ContactNameField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute()]
+    public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] Dependencies {
+      get {
+        return this.DependenciesField;
+      }
+      set {
+        this.DependenciesField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute()]
+    public string LicenseText {
+      get {
+        return this.LicenseTextField;
+      }
+      set {
+        this.LicenseTextField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute()]
+    public string Name {
+      get {
+        return this.NameField;
+      }
+      set {
+        this.NameField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute()]
+    public System.Version Version {
+      get {
+        return this.VersionField;
+      }
+      set {
+        this.VersionField = value;
+      }
+    }
+  }
+
+  [System.Diagnostics.DebuggerStepThroughAttribute()]
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
+  [System.Runtime.Serialization.DataContractAttribute(Name = "ProductDescription", Namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Deployment")]
+  public partial class ProductDescription : object, System.Runtime.Serialization.IExtensibleDataObject {
+
+    private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
+
+    private string NameField;
+
+    private HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] PluginsField;
+
+    private System.Version VersionField;
+
+    public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
+      get {
+        return this.extensionDataField;
+      }
+      set {
+        this.extensionDataField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute()]
+    public string Name {
+      get {
+        return this.NameField;
+      }
+      set {
+        this.NameField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute()]
+    public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] Plugins {
+      get {
+        return this.PluginsField;
+      }
+      set {
+        this.PluginsField = value;
+      }
+    }
+
+    [System.Runtime.Serialization.DataMemberAttribute()]
+    public System.Version Version {
+      get {
+        return this.VersionField;
+      }
+      set {
+        this.VersionField = value;
+      }
+    }
+  }
+
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+  [System.ServiceModel.ServiceContractAttribute(ConfigurationName = "HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate")]
+  public interface IUpdate {
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IUpdate/GetPlugin", ReplyAction = "http://tempuri.org/IUpdate/GetPluginResponse")]
+    byte[] GetPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription description);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IUpdate/GetProducts", ReplyAction = "http://tempuri.org/IUpdate/GetProductsResponse")]
+    HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription[] GetProducts();
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IUpdate/GetPlugins", ReplyAction = "http://tempuri.org/IUpdate/GetPluginsResponse")]
+    HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] GetPlugins();
+  }
+
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+  public interface IUpdateChannel : HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate, System.ServiceModel.IClientChannel {
+  }
+
+  [System.Diagnostics.DebuggerStepThroughAttribute()]
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+  public partial class UpdateClient : System.ServiceModel.ClientBase<HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate>, HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate {
+
+    public UpdateClient() {
+    }
+
+    public UpdateClient(string endpointConfigurationName) :
+      base(endpointConfigurationName) {
+    }
+
+    public UpdateClient(string endpointConfigurationName, string remoteAddress) :
+      base(endpointConfigurationName, remoteAddress) {
+    }
+
+    public UpdateClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) :
+      base(endpointConfigurationName, remoteAddress) {
+    }
+
+    public UpdateClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) :
+      base(binding, remoteAddress) {
+    }
+
+    public byte[] GetPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription description) {
+      return base.Channel.GetPlugin(description);
+    }
+
+    public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription[] GetProducts() {
+      return base.Channel.GetProducts();
+    }
+
+    public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] GetPlugins() {
+      return base.Channel.GetPlugins();
+    }
+  }
+
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+  [System.ServiceModel.ServiceContractAttribute(ConfigurationName = "HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin")]
+  public interface IAdmin {
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IAdmin/DeployProduct", ReplyAction = "http://tempuri.org/IAdmin/DeployProductResponse")]
+    void DeployProduct(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IAdmin/DeleteProduct", ReplyAction = "http://tempuri.org/IAdmin/DeleteProductResponse")]
+    void DeleteProduct(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IAdmin/DeployPlugin", ReplyAction = "http://tempuri.org/IAdmin/DeployPluginResponse")]
+    void DeployPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription plugin, byte[] zipFile);
+  }
+
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+  public interface IAdminChannel : HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin, System.ServiceModel.IClientChannel {
+  }
+
+  [System.Diagnostics.DebuggerStepThroughAttribute()]
+  [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+  public partial class AdminClient : System.ServiceModel.ClientBase<HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin>, HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin {
+
+    public AdminClient() {
+    }
+
+    public AdminClient(string endpointConfigurationName) :
+      base(endpointConfigurationName) {
+    }
+
+    public AdminClient(string endpointConfigurationName, string remoteAddress) :
+      base(endpointConfigurationName, remoteAddress) {
+    }
+
+    public AdminClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) :
+      base(endpointConfigurationName, remoteAddress) {
+    }
+
+    public AdminClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) :
+      base(binding, remoteAddress) {
+    }
+
+    public void DeployProduct(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product) {
+      base.Channel.DeployProduct(product);
+    }
+
+    public void DeleteProduct(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product) {
+      base.Channel.DeleteProduct(product);
+    }
+
+    public void DeployPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription plugin, byte[] zipFile) {
+      base.Channel.DeployPlugin(plugin, zipFile);
+    }
+  }
 }
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/PluginDescription.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/PluginDescription.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/PluginDescription.cs	(revision 4068)
@@ -23,9 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.PluginInfrastructure.Manager;
-using System.IO;
-using System.ComponentModel;
-using System.Reflection;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/ProductDescription.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/ProductDescription.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/ProductDescription.cs	(revision 4068)
@@ -23,9 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.PluginInfrastructure.Manager;
-using System.IO;
-using System.ComponentModel;
-using System.Reflection;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
@@ -35,5 +30,5 @@
   /// A product has a name, a version and a list of plugins that are part of the product.
   /// </summary>
-  public partial class ProductDescription  {
+  public partial class ProductDescription {
     /// <summary>
     /// Initializes a new instance of <see cref="ProductDescription" />
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/UpdateClientFactory.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/UpdateClientFactory.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/UpdateClientFactory.cs	(revision 4068)
@@ -20,11 +20,7 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using System.Reflection;
+using System.Security.Cryptography.X509Certificates;
 using System.ServiceModel;
-using System.Security.Cryptography.X509Certificates;
-using System.Reflection;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.cs	(revision 4068)
@@ -23,11 +23,7 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using System.Drawing;
-using System.Data;
 using System.Linq;
-using System.Text;
+using System.ServiceModel;
 using System.Windows.Forms;
-using System.ServiceModel;
-using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/IStatusDisplay.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/IStatusDisplay.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/IStatusDisplay.cs	(revision 4068)
@@ -20,14 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.PluginInfrastructure.Manager;
-using System.IO;
-using System.ComponentModel;
-using System.Reflection;
-using ICSharpCode.SharpZipLib.Zip;
-using System.ServiceModel;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManager.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManager.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManager.cs	(revision 4068)
@@ -22,12 +22,9 @@
 using System;
 using System.Collections.Generic;
+using System.IO;
 using System.Linq;
-using System.Text;
+using System.ServiceModel;
 using HeuristicLab.PluginInfrastructure.Manager;
-using System.IO;
-using System.ComponentModel;
-using System.Reflection;
 using ICSharpCode.SharpZipLib.Zip;
-using System.ServiceModel;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerConsole.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerConsole.cs	(revision 4068)
@@ -22,10 +22,6 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.PluginInfrastructure.Advanced.DeploymentService;
 using HeuristicLab.PluginInfrastructure.Manager;
-using System.IO;
-using System.ComponentModel;
-using HeuristicLab.PluginInfrastructure.Advanced.DeploymentService;
 
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.cs	(revision 4068)
@@ -19,11 +19,4 @@
  */
 #endregion
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerException.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerException.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerException.cs	(revision 4068)
@@ -21,13 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.PluginInfrastructure.Manager;
-using System.IO;
-using System.ComponentModel;
-using System.Reflection;
-using ICSharpCode.SharpZipLib.Zip;
-using System.ServiceModel;
 using System.Runtime.Serialization;
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.cs	(revision 4068)
@@ -22,12 +22,10 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using System.Data;
-using System.Drawing;
+using System.Diagnostics;
+using System.IO;
 using System.Linq;
 using System.Text;
 using System.Windows.Forms;
-using System.IO;
 using HeuristicLab.PluginInfrastructure.Manager;
-using System.Diagnostics;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
@@ -37,9 +35,10 @@
     private string pluginDir;
 
-    public InstallationManagerForm(PluginManager pluginManager) : base() {
+    public InstallationManagerForm(PluginManager pluginManager)
+      : base() {
       InitializeComponent();
       FileVersionInfo pluginInfrastructureVersion = FileVersionInfo.GetVersionInfo(GetType().Assembly.Location);
       Text = "HeuristicLab Plugin Manager " + pluginInfrastructureVersion.FileVersion;
-      
+
       this.pluginManager = pluginManager;
 
@@ -82,5 +81,5 @@
       pluginEditor.PluginManager = pluginManager;
 
-      productEditor.StatusView = this;      
+      productEditor.StatusView = this;
     }
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.cs	(revision 4068)
@@ -23,12 +23,6 @@
 using System.Collections.Generic;
 using System.ComponentModel;
-using System.Drawing;
-using System.Data;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using System.ServiceModel;
-using ICSharpCode.SharpZipLib.Zip;
-using System.IO;
 using HeuristicLab.PluginInfrastructure.Manager;
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.cs	(revision 4068)
@@ -20,19 +20,15 @@
 #endregion
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
   internal partial class LicenseConfirmationDialog : Form {
-    public LicenseConfirmationDialog() : base() {
+    public LicenseConfirmationDialog()
+      : base() {
       InitializeComponent();
     }
 
-    public LicenseConfirmationDialog(IPluginDescription plugin) : base() {
+    public LicenseConfirmationDialog(IPluginDescription plugin)
+      : base() {
       InitializeComponent();
       richTextBox.Text = plugin.LicenseText;
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.cs	(revision 4068)
@@ -19,23 +19,17 @@
  */
 #endregion
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
   internal partial class LicenseView : Form {
 
-    public LicenseView() : base() {
+    public LicenseView()
+      : base() {
       InitializeComponent();
       Name = "License";
     }
 
-    public LicenseView(IPluginDescription plugin) : base() {
+    public LicenseView(IPluginDescription plugin)
+      : base() {
       InitializeComponent();
       Name = "License of: " + plugin;
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/MultiSelectListView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/MultiSelectListView.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/MultiSelectListView.cs	(revision 4068)
@@ -19,11 +19,6 @@
  */
 #endregion
-using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.cs	(revision 4068)
@@ -20,13 +20,7 @@
 #endregion
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
+using System.IO;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.PluginInfrastructure;
-using System.IO;
 using HeuristicLab.PluginInfrastructure.Manager;
 
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.cs	(revision 4068)
@@ -24,12 +24,10 @@
 using System.ComponentModel;
 using System.Drawing;
-using System.Data;
+using System.IO;
 using System.Linq;
-using System.Text;
+using System.ServiceModel;
 using System.Windows.Forms;
-using System.ServiceModel;
+using HeuristicLab.PluginInfrastructure.Manager;
 using ICSharpCode.SharpZipLib.Zip;
-using System.IO;
-using HeuristicLab.PluginInfrastructure.Manager;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/Util.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/Util.cs	(revision 3831)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/Util.cs	(revision 4068)
@@ -23,11 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.PluginInfrastructure.Manager;
-using System.IO;
-using System.ComponentModel;
-using System.Reflection;
-using ICSharpCode.SharpZipLib.Zip;
-using System.ServiceModel;
 using System.Windows.Forms;
 
@@ -39,5 +32,5 @@
       columnHeader.AutoResize(ColumnHeaderAutoResizeStyle.ColumnContent);
       int contentSize = columnHeader.Width;
-      columnHeader.Width = Math.Max(headerSize, contentSize);      
+      columnHeader.Width = Math.Max(headerSize, contentSize);
     }
 
